Bug 113699 - JavaCC task does not work
JavaCC task does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ant (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Vadim Nasardinov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 12:19 EST by Richard Li
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: ant-1.6.2-3jpp_3rh
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 17:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Li 2004-01-16 12:19:01 EST
Description of problem:

Ant assumes $JAVA_HOME/bin/java when compiling instead of
/usr/bin/gij-ssa.

Version-Release number of selected component (if applicable):

ant-1.5.2-23

How reproducible:

Always

Steps to Reproduce:
1. Type ant build with a valid build.xml.
  
Actual results:

BUILD FAILED
file:/var/ccm-devel/dev/richardl/cms/core/build-hooks.xml:15: Could
not launch \
java: java.io.IOException: No such file or directory
   at
org.apache.tools.ant.taskdefs.Execute.runCommand(org.apache.tools.ant.Tas\
k, java.lang.String[]) (/usr/lib/lib-org-apache-tools-ant-1.5.2.so)
   at org.apache.tools.ant.taskdefs.optional.javacc.JavaCC.execute()
(/usr/lib/\
lib-org-apache-tools-ant-taskdefs-optional-1.5.2.so)
   at org.apache.tools.ant.Task.perform()
(/usr/lib/lib-org-apache-tools-ant-1.\
5.2.so)
   at org.apache.tools.ant.Target.execute()
(/usr/lib/lib-org-apache-tools-ant-\
1.5.2.so)
   at org.apache.tools.ant.Target.performTasks()
(/usr/lib/lib-org-apache-tools\
-ant-1.5.2.so)
   at org.apache.tools.ant.Project.executeTarget(java.lang.String)
(/usr/lib/li\
b-org-apache-tools-ant-1.5.2.so)
   at org.apache.tools.ant.taskdefs.Ant.execute()
(/usr/lib/lib-org-apache-tool\
s-ant-1.5.2.so)
   at org.apache.tools.ant.Task.perform()
(/usr/lib/lib-org-apache-tools-ant-1.\
5.2.so)
   at org.apache.tools.ant.Target.execute()
(/usr/lib/lib-org-apache-tools-ant-\
1.5.2.so)
   at org.apache.tools.ant.Target.performTasks()
(/usr/lib/lib-org-apache-tools\
-ant-1.5.2.so)
   at org.apache.tools.ant.Project.executeTarget(java.lang.String)
(/usr/lib/li\
b-org-apache-tools-ant-1.5.2.so)


Expected results:

BUILD SUCCESSFUL
Additional info:
Comment 1 Gary Benson 2004-01-21 08:47:35 EST
Richard, ant-1.5.2-23.1 from dist-3.0E-scratch should fix this bug. 
Could you please test it and let me know the result?
Comment 2 Richard Li 2004-01-21 09:56:12 EST
Yes, it works. Thanks!
Comment 3 Vadim Nasardinov 2005-08-03 14:51:48 EDT
Should I mark this as fixed or are other any other hooks that need to be jumped
through?
Comment 4 Vadim Nasardinov 2005-09-22 17:08:38 EDT
This is 22 months old.  Closing per comment #2.

Note You need to log in before you can comment on or make changes to this bug.